// Flip-Pal Toolbox Picasa Support
// 2013 Jan 09 - Jim Moy, jim.moy@couragent.net

function picasaCancel() {
	window.flipPicasaCanceled = true;
}

function picasaUploadCallback( arg ) {
	var obj = $.parseJSON( arg )
	if( window.flipPicasaCanceled ) {
		$('#upload-dialog').modal( 'hide' );
	} else if( obj && obj.status == "ok" ) {
		window.flipPicasaIndex++;
		var pct = 100 * window.flipPicasaIndex / window.flipPicasaCount;
		$('#progress-bar').css( 'width',  Math.round(pct) + "%" );
		if( window.flipPicasaIndex < window.flipPicasaCount ) {
			// Upload next file
			var path = window.flipPicasaList[window.flipPicasaIndex];
			commandLine(['uploadpicasa', path, window.flipPicasaToken], 'picasaUploadCallback' );
			$('#progress_prompt').html( String.format(
				"Uploading {0} images, current image: {1}",
				window.flipPicasaCount, baseName( path )));
		} else {
			window.setTimeout( function() { // delay for last progress bar increment
				$('#upload-dialog').modal( 'hide' );
			}, 1000 );
		}
	} else {
		// Error, hide upload dialog, show error
		$('#upload-dialog').modal( 'hide' );
		// <localize>
		$('#info_prompt').html( "Could not upload the image: " + obj.traceback );
		// </localize>
		$('#info-dialog').modal({ backdrop: 'static', keyboard: false, show: true });
	}
}

function picasaUpload( list ) {
	window.flipPicasaList = list;
	window.flipPicasaIndex = 0;
	window.flipPicasaCount = list.length;
	window.flipPicasaCanceled = false;
	$('#progress-bar').css( 'width',  "1%" );
	commandLine(['uploadpicasa', list[0], window.flipPicasaToken], 'picasaUploadCallback' );
}

