function dropboxCancel() {
	window.flipDropboxCanceled = true;
}

function dropboxUploadCallback( arg ) {
	var obj = $.parseJSON( arg )
	if( window.flipDropboxCanceled ) {
		$('#upload-dialog').modal( 'hide' );
	} else if( obj && obj.status == "ok" ) {
		window.flipDropboxIndex++;
		var pct = 100 * window.flipDropboxIndex / window.flipDropboxCount;
		$('#progress-bar').css( 'width',  Math.round(pct) + "%" );
		if( window.flipDropboxIndex < window.flipDropboxCount ) {
			// Upload next file
			var path = window.flipDropboxList[window.flipDropboxIndex];
			commandLine(['uploaddropbox', path, window.flipDropboxToken], 'dropboxUploadCallback' );
			$('#progress_prompt').html( String.format(
				"Uploading {0} images, current image: {1}",
				window.flipDropboxCount, baseName( path )));
		} else {
			window.setTimeout( function() { // delay for last progress bar increment
				$('#upload-dialog').modal( 'hide' );
			}, 1000 );
		}
	} else {
		// Error, hide upload dialog, show error
		$('#upload-dialog').modal( 'hide' );
		// <localize>
		$('#info_prompt').html( "Could not upload the image: " + obj.traceback );
		// </localize>
		$('#info-dialog').modal({ backdrop: 'static', keyboard: false, show: true });
	}
}

function dropboxUpload( list ) {
	window.flipDropboxList = list;
	window.flipDropboxIndex = 0;
	window.flipDropboxCount = list.length;
	window.flipDropboxCanceled = false;
	$('#progress-bar').css( 'width',  "1%" );
	commandLine(['uploaddropbox', list[0], window.flipDropboxToken], 'dropboxUploadCallback' );
}

