function evernoteCancel() {
	window.flipEvernoteCanceled = true;
}

function evernoteUploadCallback( arg ) {
	var obj = $.parseJSON( arg )
	if( window.flipEvernoteCanceled ) {
		$('#upload-dialog').modal( 'hide' );
	} else if( obj && obj.status == "ok" ) {
		window.flipEvernoteIndex++;
		var pct = 100 * window.flipEvernoteIndex / window.flipEvernoteCount;
		$('#progress-bar').css( 'width',  Math.round(pct) + "%" );
		if( window.flipEvernoteIndex < window.flipEvernoteCount ) {
			// Upload next file
			var path = window.flipEvernoteList[window.flipEvernoteIndex];
			commandLine(['uploadevernote', path], 'evernoteUploadCallback' );
			$('#progress_prompt').html( String.format(
				"Uploading {0} images, current image: {1}",
				window.flipEvernoteCount, baseName( path )));
		} else {
			window.setTimeout( function() { // delay for last progress bar increment
				$('#upload-dialog').modal( 'hide' );
			}, 1000 );
		}
	} else {
		// Error, hide upload dialog, show error
		$('#upload-dialog').modal( 'hide' );
		// <localize>
		$('#info_prompt').html( "Could not upload the image: " + obj.traceback );
		// </localize>
		$('#info-dialog').modal({ backdrop: 'static', keyboard: false, show: true });
	}
}

function evernoteUpload( list ) {
	window.flipEvernoteList = list;
	window.flipEvernoteIndex = 0;
	window.flipEvernoteCount = list.length;
	window.flipEvernoteCanceled = false;
	$('#progress-bar').css( 'width',  "1%" );
	commandLine(['uploadevernote', list[0]], 'evernoteUploadCallback' );
}

