import sys
import shlex
import fpcmd

# <.app>/Contents/Resources on Mac, <.exe>/resource on Windows
rsrc = sys.argv[1]

# Set up for writing commands on stdin, reading responses from stdout
prompt = True
if len(sys.argv) == 3: prompt = False
input = sys.stdin
output = sys.stdout
fp = fpcmd.FlipPalCommand( input, output, rsrc, prompt )

# Loop on command I/O
while True:
	if prompt:
		output.write( "> " )
		output.flush()
	line = input.readline()
	if len(line) == 0: break
	cmd = line.strip()
	if cmd in set(['q', 'x', 'quit', 'xit', 'exit']): break
	fp.command( shlex.split( cmd ))

if prompt:
	output.write( "exiting" )

